Mailinglist Archive: opensuse-updates (96 mails)

< Previous Next >
openSUSE-SU-2013:1221-1: moderate: libxml2 to fix out of bounds reads
openSUSE Security Update: libxml2 to fix out of bounds reads
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:1221-1
Rating: moderate
References: #829077
Cross-References: CVE-2013-2877
Affected Products:
openSUSE 12.3
openSUSE 12.2
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


Libxml2 was updated to fix buffer overread problems which
could lead to crashes (out of bounds read). (CVE-2013-2877)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.3:

zypper in -t patch openSUSE-2013-592

- openSUSE 12.2:

zypper in -t patch openSUSE-2013-592

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.3 (i586 x86_64):

libxml2-2-2.9.0-2.17.1
libxml2-2-debuginfo-2.9.0-2.17.1
libxml2-debugsource-2.9.0-2.17.1
libxml2-devel-2.9.0-2.17.1
libxml2-tools-2.9.0-2.17.1
libxml2-tools-debuginfo-2.9.0-2.17.1
python-libxml2-2.9.0-2.17.1
python-libxml2-debuginfo-2.9.0-2.17.1
python-libxml2-debugsource-2.9.0-2.17.1

- openSUSE 12.3 (x86_64):

libxml2-2-32bit-2.9.0-2.17.1
libxml2-2-debuginfo-32bit-2.9.0-2.17.1
libxml2-devel-32bit-2.9.0-2.17.1

- openSUSE 12.3 (noarch):

libxml2-doc-2.9.0-2.17.1

- openSUSE 12.2 (i586 x86_64):

libxml2-2-2.7.8+git20120223-8.30.1
libxml2-2-debuginfo-2.7.8+git20120223-8.30.1
libxml2-debugsource-2.7.8+git20120223-8.30.1
libxml2-devel-2.7.8+git20120223-8.30.1
libxml2-tools-2.7.8+git20120223-8.30.1
libxml2-tools-debuginfo-2.7.8+git20120223-8.30.1
python-libxml2-2.7.8+git20120223-8.30.1
python-libxml2-debuginfo-2.7.8+git20120223-8.30.1
python-libxml2-debugsource-2.7.8+git20120223-8.30.1

- openSUSE 12.2 (x86_64):

libxml2-2-32bit-2.7.8+git20120223-8.30.1
libxml2-2-debuginfo-32bit-2.7.8+git20120223-8.30.1
libxml2-devel-32bit-2.7.8+git20120223-8.30.1

- openSUSE 12.2 (noarch):

libxml2-doc-2.7.8+git20120223-8.30.1


References:

http://support.novell.com/security/cve/CVE-2013-2877.html
https://bugzilla.novell.com/829077


< Previous Next >
This Thread
  • No further messages